Last Comment Bug 666677 - modules/libjar/zipwriter - compiler warnings on mac
: modules/libjar/zipwriter - compiler warnings on mac
Status: RESOLVED FIXED
[build_warning]
:
Product: Core
Classification: Components
Component: File Handling (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla9
Assigned To: Atul Aggarwal
:
Mentors:
Depends on:
Blocks: buildwarning
  Show dependency treegraph
 
Reported: 2011-06-23 11:28 PDT by Joey Armstrong [:joey]
Modified: 2011-09-02 08:42 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (817 bytes, patch)
2011-08-30 06:50 PDT, Atul Aggarwal
dtownsend: review+
Details | Diff | Review

Description Joey Armstrong [:joey] 2011-06-23 11:28:23 PDT
% uname -a
Darwin banshee.local 10.7.4 Darwin Kernel Version 10.7.4: Mon Apr 18 21:24:17 PDT 2011; root:xnu-1504.14.12~3/RELEASE_X86_64 x86_64

/mozilla/sandbox/gml/modules/libjar/zipwriter/src/nsDeflateConverter.cpp:72: warning: enumeration value 'WRAP_ZLIB' not handled in switch
Comment 1 Atul Aggarwal 2011-08-30 06:50:05 PDT
Created attachment 556822 [details] [diff] [review]
Patch v1
Comment 2 Daniel Holbert [:dholbert] 2011-09-01 15:30:11 PDT
Landed on mozilla-inbound:
  http://hg.mozilla.org/integration/mozilla-inbound/rev/1a78f5c53b58

Atul: Thanks for the fix! In future patches, it'd be great if you could include a suggested commit message to your patches, so that whoever lands it for you can just qimport & push (after noting review if not already noted in commit message).

See:
https://developer.mozilla.org/en/Mercurial_FAQ#How_can_I_generate_a_patch_for_somebody_else_to_check-in_for_me.3F
(basically, just "hg qref -e" when you have the patch applied in your patch queue)
Comment 3 Atul Aggarwal 2011-09-01 20:49:21 PDT
Thanks Daniel for pointing that out. I will take care of it in future.
Comment 4 :Ehsan Akhgari (busy, don't ask for review please) 2011-09-02 08:42:55 PDT
http://hg.mozilla.org/mozilla-central/rev/1a78f5c53b58

Note You need to log in before you can comment on or make changes to this bug.